Subject: [netatalk-admins] adajacent machines won't play nice

From: Ashish Gokhale <[email-masked]>
Date: Sat, 8 Nov 1997 02:58:12 -0500 (EST)

Dear Netatalk gurus: here's where i want to go:
        Run some sort of of appleshare server on a Linux-Alpha UDB.. here's wher
e I am:
        Digital Multia 24Mb ram
        Rebuilt Kernel for DDP support 
        Netatalk compiled (afpd compiled with -lcrypt added to GCCFLAGS)
        A atalkd.conf that looks like:
                eth0 -phase 2 -net 0-65534 -addr 666.99
        Netatalk sourced at boottime looks like
                Nov  8 02:04:44 aria atalkd[242]: zip_getnetinfo for eth0
                Nov  8 02:04:47 aria inetd[244]: execv /usr/sbin/in.identd: No s
uch file or dire
                ctory
                Nov  8 02:04:53 aria atalkd[242]: zip_getnetinfo for eth0
                Nov  8 02:05:03 aria atalkd[242]: zip_getnetinfo for eth0
                Nov  8 02:05:13 aria atalkd[242]: config for no router
                Nov  8 02:05:14 aria atalkd[242]: ready 0/0/0
                Nov  8 02:05:27 aria papd[257]: restart (1.4b2)
                Nov  8 02:05:27 aria papd[257]: No such printer: lp
                Nov  8 02:05:27 aria papd[257]: printcap problem: lp
                Nov  8 02:05:33 aria papd[257]: register aria:LaserWriter@*
                Nov  8 02:05:34 aria afpd[259]: aria:AFPServer@* started on 666.
99:130 (1.4b2)
        nbplkup looks like

[root@aria bin]# ./nbplkup
                           aria:AFPServer                          666.99:130
                           aria:LaserWriter                        666.99:128
                           aria:netatalk                           666.99:4
                           aria:Workstation                        666.99:4

ifconfig looks like:
[root@aria bin]# /sbin/ifconfig
lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Bcast:127.255.255.255  Mask:255.0.0.0
          EtherTalk Phase 2 addr:0/0
          UP BROADCAST LOOPBACK RUNNING  MTU:7168  Metric:1
          RX packets:2998 errors:0 dropped:0 overruns:0
          TX packets:2998 errors:0 dropped:0 overruns:0

eth0      Link encap:10Mbps Ethernet  HWaddr 08:00:2B:E4:1A:43
          inet addr:129.2.157.88  Bcast:129.2.157.255  Mask:255.255.254.0
          EtherTalk Phase 2 addr:666/99
          UP BROADCAST RUNNING ALLMULTI MULTICAST  MTU:1500  Metric:1
          RX packets:61861 errors:0 dropped:0 overruns:0
          TX packets:12032 errors:0 dropped:0 overruns:0
          Interrupt:10 Base address:0xb000

        Here's the weird part:
                Macintoshes on my side of the switch can't see aria, and convers
ly nbplookup can't see them. The client machines are running 7.6 and 8.0, one PP
C, the other 68k, both are verifiably working with appleshare. Macintoshes on th
e other segment of the switch have no trouble seeing aria.   

Thank you for any help you can provide.

>ash

---

From: a sun <[email-masked]>
Date: Sat, 8 Nov 1997 13:26:51 -0800 (PST)

umm, i know for a fact that 1.4b2 by itself won't work properly on
64-bit machines like the udb. on my udb at home, i haven't had any
problem with my patches. they're at
ftp.u.washington.edu:/public/asun. please read the appropriate
README's as i often get questions that are answered in them.

-a